﻿import QtQuick 2.8
import QtQuick.Layouts 1.1
import QtQuick.Controls 2.5
import org.kde.plasma.components 2.0
import org.kde.plasma.core 2.0
import org.kde.plasma.plasmoid 2.0
import QtQuick.Controls.Styles 1.4

// kde plasma widget google search 

Item
{
    id: root
    Plasmoid.backgroundHints: "NoBackground"

    Image {
        id:img1
        width: 24
        height: 24
        source: "/home/matt/.local/share/icons/Arc-ICONS/actions/24@2x/system-search.png"
        anchors.verticalCenter: tf.verticalCenter
        anchors.left: root.left
        anchors.leftMargin: 10
        anchors.rightMargin: 10
    }
    
    TextField {  // search box
        id:tf
        width:256
        height:28
        placeholderText: qsTr("Google Search...")
        anchors.top:root.top
        anchors.rightMargin:20
        anchors.left:img1.right
        opacity: .65
        focus:false
        onAccepted:  {
                Qt.openUrlExternally("http://www.google.com/search?q="+tf.text) 
                tf.text="" // clear search field
                focus:false
        }
        style: TextFieldStyle {
            textColor:  "white"
            placeholderTextColor:"gray"
            background: Rectangle {
                radius: 8
                border.color: "gray"
                border.width: 2
                color: "black"
            }
        }
            Timer {            
                id: reset
                interval: 10000
                running: true
                repeat:  true
                onTriggered: tf.focus=false
            }
        }
}
